import { EventEmitter, OnInit, TemplateRef } from '@angular/core';
import { AlertMeetingAttendee } from './alert-meeting-config';
export declare class AlertMeetingComponent implements OnInit {
    private key;
    attendees: AlertMeetingAttendee[];
    avatar: TemplateRef<any>;
    clickable: boolean;
    closeAriaLabel: string;
    message: string;
    remindAriaLabel: string;
    snoozeButtonVisible: boolean;
    status: string;
    title: string;
    readonly mouseclick: EventEmitter<string>;
    readonly hide: EventEmitter<string>;
    readonly snooze: EventEmitter<string>;
    ngOnInit(): void;
    onClick(): void;
    onSnooze(): void;
    onHide(): void;
    onKeydown(event: KeyboardEvent): void;
}
